[{
    "idfield": "UUID",
    "nouserupdate": true,
    "nouservisible": true,
    "desc": {
      "fr": "identifiant utilisateur",
      "en": "user id"
    },
    "desclong": {
      "fr": "Identifiant unique généré via UUID v4",
      "en": "unique Id from a UUID v4"
    },
    "info": {
      "fr": "<p> L'usage d'UUID v4 permet de générer un code unique sans centralisation, car il est basé sur un timestamp et une clé crypto ce qui donne un code du type 7d8291c0-e137-11e8-9f7b-1dc8e57bed33 </p>",
      "en": "<p> UUID v4 allow a client to generate a unique code without centralisation, base on a timestamp and a salt it looks like 7d8291c0-e137-11e8-9f7b-1dc8e57bed33</p>"
    },
    "check": ["required", "unique"],
    "type": "text",
    "tpl": "input"
  },
  {
    "idfield": "LOGIN",
    "nouserupdate": true,
    "check": ["required", "unique"],
    "desc": {
      "fr": "login",
      "en": "login"
    },
    "type": "text",
    "tpl": "input",
    "info": {
      "fr": "<p>Le login doit être unique sur une instance d'apixtribe.</p><p> Pour échanger en dehors d'une instance apixtribe on utilise la clé public du user ou pour un humain login@apixtribe.domain.xx avec le nom du domaine qui heberge l'instance</p><p> Ou encore login@domain.xx tout domain.xx utilisé pour heberger un espace web client /tribeid/www/</p>",
      "en": "<p>Login have to be unique into an apixtribe instance</p><p> To exchange outside of an apixtribe instance, we use PublicKey or login@apixtribe.domain.xx or login@domainclient.xx where domain.xx is a apixtribe name server on internet and domain.xx is a tribeid name where a /tribeid/www is available on the net.</p>"
    }
  },
  {
    "idfield": "BIOGRAPHY",
    "desc": {
      "fr": "Vous en quelques mots",
      "en": "Few words"
    },
    "placeholder": {
      "fr": "",
      "en": ""
    },
    "rows": 2,
    "tpl": "textarea"
  },
  {
    "nouserupdate": true,
    "idfield": "PUBLICKEY",
    "desc": {
      "fr": "Votre clé public pour ce compte",
      "en": "Your public key for this uuid"
    },
    "info": {
      "fr": "<p>Cette clé est générée par votre navigateur, garder précisuesement votre clé privée que seule vous connaissez. En cas de perte de cette clé tous vos actifs seront perdus.</p><p>Cette méthode nous permet de vous garantir un contrôle total décentralisé.</p>",
      "en": "<p>This key was generated by your browser, keep the private key related to this public key.</p><p>We garanty your total control by this way</p>."
    },
    "tpl": "textarea"
  },
  {
    "idfield": "IMGAVATAR",
    "tpl": "inputimg",
    "altimg": "image avatar",
    "classimg": "rounded-circle img-responsive mt-2",
    "width": 128,
    "height:"
    128,
    "classdivupload": "mt-2",
    "classbtn": "btn-primary",
    "desc": {
      "fr": "changer votre avatar",
      "en": "upload an avatar"
    },
    "info": {
      "fr": "Pour un meilleur rendu, une mage carré de 128pc en foat jpg",
      "en": "For best results, use an image at least 128px by 128px in .jpg format"
    },

  },
  {
    "idfield": "EMAIL",
    "desc": {
      "fr": "email",
      "en": "email"
    },
    "tpl": "input",
    "type": "email",
    "check": ["emailadress", "unique"],
    "placeholder": {
      "fr": "#@",
      "en": "@"
    }
  },
  {
    "idfield": "PHONE",
    "desc": {
      "fr": "Tel",
      "en": "Phone"
    },
    "check": ["phone"]
    "tpl": "input",
    "type": "text"
  },
  {
    "idfield": "NAME",
    "desc": {
      "fr": "Nom",
      "en": "Name"
    },
    "tpl": "input",
    "type": "text"
  },
  {
    "idfield": "FIRSTNAME",
    "desc": {
      "fr": "Prénom",
      "en": "First Name"
    },
    "tpl": "input",
    "type": "text"
  },
  {
    "idfield": "NICKNAME",
    "desc": {
      "fr": "Pseudo",
      "en": "Nickname"
    },
    "tpl": "input",
    "type": "text"
  },
  "info": {
    "fr": "<p>Nom avec lequel vous souhaitez qu'on vous reconnaisse sur l'instance de l'apixtribe </p><p>Attention ce nom n'est unique que sur une instance d'apixtribe. Un même speudo peut-être utilisé sur un autre serveur pour garantir l'identité vérifié pseudo@ domaine de rattachement.</p>",
    "en": "<p>Carrefull a pseudo is unique into an instance of apixtribe to be sure to contact the right person check pseudo@ domain</p>.<p> Pseudo can be changed that is not the case of login.</p>"
  },
  "tpl": "input",
  "type": "text"
}, {
  "idfield": "COMPANYNAME",
  "desc": {
    "fr": "Nom de Société",
    "en": "Compagnie name"
  },
  "tpl": "input",
  "type": "text"
}, {
  "idfield": "BILLINGADD",
  "desc": {
    "fr": "Adresse complete de facturation par defaut",
    "en": "Full billing adress default"
  },
  "tpl": "input",
  "type": "text",
  "placeholder": {
    "fr": "1 chemin du paradis - 91430 IGNY France",
    "en": "123 Main St- 123MZ -Oxford UK"
  }
}, {
  "idfield": "DELIVERYADD",
  "desc": {
    "fr": "Adresse complete de livraison par defaut",
    "en": "Full delivery adress default"
  },
  "tpl": "input",
  "type": "text",
  "placeholder": {
    "fr": "1 chemin du paradis - 91430 IGNY France",
    "en": "123 Main St- 123MZ -Oxford UK"
  }
}, {
  "idfield": "ADDRESS1",
  "desc": {
    "fr": "Adresse",
    "en": "Address"
  },
  "tpl": "input",
  "type": "text",
  "placeholder": {
    "fr": "1 chemin du paradis",
    "en": "123 Main St"
  }
}, {
  "idfield": "ADDRESS2",
  "desc": {
    "fr": "Adresse 2",
    "en": "Address 2"
  },
  "tpl": "input",
  "type": "text",
  "placeholder": {
    "fr": "Appartement B",
    "en": "Apt B"
  }
}, {
  "idfield": "CITY",
  "desc": {
    "fr": "Ville ",
    "en": "CITY"
  },
  "tpl": "input",
  "type": "text"
}, {
  "idfield": "ZIP",
  "desc": {
    "fr": "Code Postal",
    "en": "ZIP"
  },
  "tpl": "input",
  "type": "text"
}, {
  "idfield": "COUNTRY",
  "desc": {
    "fr": "Pays",
    "en": "Country"
  },
  "tpl": "input",
  "type": "text"
}, {
  "nouserupdate": true,
  "idfield": "DATE_CREATE",
  "desc": {
    "fr": "Date de création",
    "en": "Create Date"
  },
  "tpl": "date",
  "format": "YYYY-MM-DD",
  "default": "moment(new Date()).format('YYYY-MM-DD')"
}, {
  "nouserupdate": true,o
  "idfield": "DATE_UPDATE",
  "desc": {
    "fr": "Date mise à jour",
    "en": "Update date"
  },
  "tpl": "date",
  "format": "YYYY-MM-DD",
  "default": "moment(new Date()).format('YYYY-MM-DD')"
}, {
  "nouserupdate": true,
  "idfield": "DATE_LASTLOGIN",
  "desc": {
    "fr": "Date de derniére connexion",
    "en": "Last date login"
  },
  "tpl": "date",
  "format": "YYYY-MM-DD",
  "default": "moment(new Date()).format('YYYY-MM-DD')"
}, {
  "idfield": "ACCESSRIGHTS",
  "nouserupdate": true,
  "desc": {
    "fr": "Vos droits d'accès",
    "en": "Your access rights"
  },
  "default": {
    "app": {},
    "data": {
      "tribeidname": {
        "users": "O"
      }
    }
  },
  "tpl": "jsoneditor"
}]
